CUDNN Frontend API 8.3.0

Public Member Functions | Public Attributes | List of all members
nlohmann::detail::position_t Struct Reference

struct to capture the start position of the current token More...

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::position_t:

## Public Member Functions
constexpr | operator size_t () const
| conversion to size_t to preserve SAX interface More...

## Public Attributes
std::size_t | chars_read_total = 0
| the total number of characters read More...
std::size_t | chars_read_current_line = 0
| the number of characters read in the current line More...
std::size_t | lines_read = 0
| the number of lines read More...

## Detailed Description

struct to capture the start position of the current token

Definition at line 2584 of file json.hpp.

## Member Function Documentation

## ◆ operator size_t()

constexpr nlohmann::detail::position_t::operator size_t | ( |  | ) | const
| inline

conversion to size_t to preserve SAX interface

Definition at line 2594 of file json.hpp.

## Member Data Documentation

## ◆ chars_read_current_line

std::size_t nlohmann::detail::position_t::chars_read_current_line = 0

the number of characters read in the current line

Definition at line 2589 of file json.hpp.

Referenced by nlohmann::detail::parse_error::position_string().

## ◆ chars_read_total

std::size_t nlohmann::detail::position_t::chars_read_total = 0

the total number of characters read

Definition at line 2587 of file json.hpp.

Referenced by nlohmann::detail::parse_error::create().

## ◆ lines_read

std::size_t nlohmann::detail::position_t::lines_read = 0

the number of lines read

Definition at line 2591 of file json.hpp.

Referenced by nlohmann::detail::parse_error::position_string().

The documentation for this struct was generated from the following file:

- json.hpp